/***************************************************************************
    file        : callbacks.h
    project     : gFnRename
    begin       : 2006.04.25
    revised     : 2006.08.04 (v0.4)
                  2007.01.12 (v0.4.1)
                  2007.02.03 (v0.4.2)
                  2007.06.28 (v0.5)
                  2010.08.04 (v0.6)
    copyright   : (C)2010 Paul Schuurmans
    email       : paul.schuurmans@home.nl
 ***************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
 
#include <gtk/gtk.h>

void on_App1_show (GtkWidget *widget, gpointer user_data);
void on_App1_destroy (GtkObject *object, gpointer user_data);

void on_btn_cancel_clicked (GtkButton *button, gpointer user_data);
void on_btn_commit_clicked (GtkButton *button, gpointer user_data);
void on_btn_dlghelp_close_clicked (GtkButton *button, gpointer user_data);
void on_btn_exit_clicked (GtkButton *button, gpointer user_data);
void on_btn_goto_mark_clicked (GtkButton *button, gpointer user_data);
void on_btn_help_clicked (GtkButton *button, gpointer user_data);
void on_btn_home_clicked (GtkButton *button, gpointer user_data);
void on_btn_mark_dir_clicked (GtkButton *button, gpointer user_data);
void on_btn_ok_clicked (GtkButton *button, gpointer user_data);
void on_btn_rename_clicked (GtkButton *button, gpointer user_data);
void on_btn_reread_clicked (GtkButton *button, gpointer user_data);
void on_btn_select_all_clicked (GtkButton *button, gpointer user_data);
void on_btn_show_bookmark_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_btn_show_hidden_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_btn_up_one_level_clicked (GtkButton *button, gpointer user_data);

void on_cb_append_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_base_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_case_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_confirmcommit_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_delete_first_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_delete_last_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_extension_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_extension_replace_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_insert_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_logfile_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_prefix_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_prepend_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_replace_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_show_help_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_cb_show_status_toggled (GtkToggleButton *togglebutton, gpointer user_data);

void on_combo_pathbox_changed (GtkComboBox *combobox, gpointer user_data);

gboolean on_filebox_button_press_event (GtkWidget *widget, GdkEventButton  *event, gpointer user_data);
gboolean on_filebox_button_release_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
gboolean on_filebox_key_press_event (GtkWidget *widget, GdkEventKey *event, gpointer user_data);
gboolean on_filebox_key_release_event (GtkWidget *widget, GdkEventKey *event, gpointer user_data);
